Skip to content

Query Available Dimensions

API Description

Use this API to query the available dimensions for a metric.

API URL

GET Http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/metrics/dimension

For how to obtain anymetrics_host:anymetrics_port, see Calling APIs.

Request Parameters

Common Request Parameters (HEADERS)

Parameter Type Required Description
tenant-id String Yes The tenant ID for the tenant that contains the metric query content.
auth-type String Yes Authentication method. Supported values: UID, TOKEN, ACCOUNT, APIKEY.
auth-value String Yes Authentication value that corresponds to auth-type.

How to Obtain Common Parameters

To obtain tenant-id, select the metric application from the top navigation bar in Aloudata CAN, choose API Integration from the left navigation menu, and copy it from the API Integration page. Set auth-value based on the selected auth-type.

Request Parameters

Parameter Type Required Maximum Length Description
metricNames Array[String] Yes Metric name list. If you pass one metric, the API returns all available dimensions for that metric. If you pass multiple metrics, the API returns the union of available dimensions.

Response Parameters

Response Parameter Description

Parameter Type Required Maximum Length Description
code String Yes 32 API response code.
message String Yes 512 Message body.
traceId String Yes 128 Trace ID.
data Array[Object] Response data. For details, see "data Parameter Description".

data Parameter Description

Parameter Type Required Maximum Length Description
basicAttributes Map No Basic attributes.
businessAttributes Map No Business attributes.
technicalAttributes Map No Technical attributes.
managementAttributes Map No Management attributes.
name String Yes Dimension name.
dimName String Yes English dimension name.
dimCode String No Dimension code.
dimDisplayName String Yes Dimension display name.
dimCategoryId String Category ID of the dimension.
dimDescription String Dimension description.
datasetName String Name of the dataset bound to the dimension.
originDataType String Dimension type.
config array Dimension source description. For details, see "config Parameter Description".

config Parameter Description

Parameter Type Required Description
type String Yes Dimension type, indicating the source of the dimension. Enum values:

- COLUMN_BIND: column binding

- CUSTOM: custom type
value String - If the dimension is a column-binding dimension, value is the column name.

- If the dimension is a custom dimension, specify an expression. The expression is equivalent to adding a calculated column to the dataset.

Request Example

http://127.0.0.1/anymetrics/api/v1/metrics/dimension?metricNames=code1&metricNames=code2

Response Example

{
    "data": [
        {
            "basicAttributes": null,
            "businessAttributes": null,
            "technicalAttributes": null,
            "managementAttributes": null,
            "name": "96bb0438244f49c988bc2a453fd1a457",
            "dimName": "Customers_Address",
            "dimCode": null,
            "dimDisplayName": "Address",
            "dimCategoryId": "8a2977b7-4998-4bb1-aeee-a20e6f73f8d0",
            "dimDescription": null,
            "datasetName": "Customers",
            "originDataType": "VARCHAR",
            "config": {
                "type": "COLUMN_BIND",
                "value": "Address"
            },
            "displayStatus": null
        },
        {
            "basicAttributes": null,
            "businessAttributes": null,
            "technicalAttributes": null,
            "managementAttributes": null,
            "name": "bb9e257f3ba84893a7c05ea40172ce79",
            "dimName": "Units_1",
            "dimCode": "",
            "dimDisplayName": "Units",
            "dimCategoryId": "-1",
            "dimDescription": "Units",
            "datasetName": "TransactionDetails",
            "originDataType": "DECIMAL",
            "config": {
                "type": "COLUMN_BIND",
                "value": "Units"
            },
            "displayStatus": null
        },
        {
            "basicAttributes": null,
            "businessAttributes": null,
            "technicalAttributes": null,
            "managementAttributes": null,
            "name": "046818b86a6946798787d6511f47b9f9",
            "dimName": "CustomerManagers_AllocationDate",
            "dimCode": null,
            "dimDisplayName": "AllocationDate",
            "dimCategoryId": "8a2977b7-4998-4bb1-aeee-a20e6f73f8d0",
            "dimDescription": null,
            "datasetName": "CustomerManagers",
            "originDataType": "DATE",
            "config": {
                "type": "COLUMN_BIND",
                "value": "AllocationDate"
            },
            "displayStatus": null
        },
        {
            "basicAttributes": null,
            "businessAttributes": null,
            "technicalAttributes": null,
            "managementAttributes": null,
            "name": "47331a313f404dcba3b0f45897099599",
            "dimName": "CustomerManagers_CustomerID",
            "dimCode": null,
            "dimDisplayName": "CustomerID",
            "dimCategoryId": "8a2977b7-4998-4bb1-aeee-a20e6f73f8d0",
            "dimDescription": null,
            "datasetName": "CustomerManagers",
            "originDataType": "VARCHAR",
            "config": {
                "type": "COLUMN_BIND",
                "value": "CustomerID"
            },
            "displayStatus": null
        }
        {
            "basicAttributes": null,
            "businessAttributes": null,
            "technicalAttributes": null,
            "managementAttributes": null,
            "name": "aa7b50fa04824d36ae6142c14a1fa589",
            "dimName": "FundManagers_ManagerName",
            "dimCode": null,
            "dimDisplayName": "ManagerName",
            "dimCategoryId": "-1",
            "dimDescription": null,
            "datasetName": "FundManagers",
            "originDataType": "VARCHAR",
            "config": {
                "type": "COLUMN_BIND",
                "value": "ManagerName"
            },
            "displayStatus": null
        },
        {
            "basicAttributes": null,
            "businessAttributes": null,
            "technicalAttributes": null,
            "managementAttributes": null,
            "name": "5035867a5a67416fbacca095c65136ec",
            "dimName": "CustomerManagers_ManagerName",
            "dimCode": null,
            "dimDisplayName": "ManagerName",
            "dimCategoryId": "8a2977b7-4998-4bb1-aeee-a20e6f73f8d0",
            "dimDescription": null,
            "datasetName": "CustomerManagers",
            "originDataType": "VARCHAR",
            "config": {
                "type": "COLUMN_BIND",
                "value": "ManagerName"
            },
            "displayStatus": null
        },
        {
            "basicAttributes": null,
            "businessAttributes": null,
            "technicalAttributes": null,
            "managementAttributes": null,
            "name": "c930e00b37714c6f878ab62af2bb96bb",
            "dimName": "CustomerManagers_ContactEmail",
            "dimCode": null,
            "dimDisplayName": "ContactEmail",
            "dimCategoryId": "8a2977b7-4998-4bb1-aeee-a20e6f73f8d0",
            "dimDescription": null,
            "datasetName": "CustomerManagers",
            "originDataType": "VARCHAR",
            "config": {
                "type": "COLUMN_BIND",
                "value": "ContactEmail"
            },
            "displayStatus": null
        },
        {
            "basicAttributes": null,
            "businessAttributes": null,
            "technicalAttributes": null,
            "managementAttributes": null,
            "name": "485297647d044dc8b2ca26ec5a24e621",
            "dimName": "Customers_CustomerName",
            "dimCode": null,
            "dimDisplayName": "CustomerName",
            "dimCategoryId": "8a2977b7-4998-4bb1-aeee-a20e6f73f8d0",
            "dimDescription": null,
            "datasetName": "Customers",
            "originDataType": "VARCHAR",
            "config": {
                "type": "COLUMN_BIND",
                "value": "CustomerName"
            },
            "displayStatus": null
        },
        {
            "basicAttributes": null,
            "businessAttributes": null,
            "technicalAttributes": null,
            "managementAttributes": null,
            "name": "metric_time",
            "dimName": "metric_time",
            "dimCode": null,
            "dimDisplayName": "metric_time",
            "dimCategoryId": null,
            "dimDescription": "metric time",
            "datasetName": null,
            "originDataType": "DATE",
            "config": null,
            "displayStatus": null
        }
    ],
    "success": true,
    "code": "200",
    "errorMsg": null,
    "detailErrorMsg": null,
    "traceId": "4e9d90ec920d413fb58b9c744dcdbb1f.149.17267154343391151"
}